summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-02-01 19:45:20 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-02-01 19:45:20 +0100
commit269e98c93f1bff77dc33701f1e5e8615a031ec0b (patch)
treed6e35e6da4bc19f657ac07ff8447ec065d85a4aa /scripts
parentd1b6ea47f57cbcac8543a4dba976e13e3bc2e985 (diff)
parent2a8b0c42a074556bd489ef88a2b788f84ff6cf1e (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/cpio5
-rwxr-xr-xscripts/create-image.sh10
-rw-r--r--scripts/scan-pkgs.sh27
-rwxr-xr-xscripts/tarpkg1
4 files changed, 40 insertions, 3 deletions
diff --git a/scripts/cpio b/scripts/cpio
new file mode 100755
index 000000000..2a12d4ffe
--- /dev/null
+++ b/scripts/cpio
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+/bin/cpio --quiet "$@"
diff --git a/scripts/create-image.sh b/scripts/create-image.sh
index 4a23b49cf..96a96ced8 100755
--- a/scripts/create-image.sh
+++ b/scripts/create-image.sh
@@ -24,6 +24,16 @@ if [ $(id -u) -ne 0 ];then
exit 1
fi
+printf "Checking if mkfs is installed"
+mkfs=$(which mkfs.$filesystem)
+
+if [ ! -z $mkfs -a -x $mkfs ];then
+ printf "...okay\n"
+else
+ printf "...failed\n"
+ exit 1
+fi
+
printf "Checking if parted is installed"
parted=$(which parted)
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index fcc64ac94..b96a92e8f 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -31,9 +31,6 @@ if [[ -n $ADK_NATIVE ]];then
if [[ -n $ADK_TARGET_PACKAGE_RPM ]]; then
NEED_RPM="$NEED_RPM rpm"
fi
- if [[ -n $ADK_PACKAGE_SQUID ]]; then
- NEED_GXX="$NEED_GXX squid"
- fi
fi
if [[ -n $ADK_PACKAGE_RUBY ]]; then
@@ -58,6 +55,7 @@ fi
if [[ -n $ADK_PACKAGE_SQUID ]]; then
NEED_SSLDEV="$NEED_SSLDEV squid"
+ NEED_GXX="$NEED_GXX squid"
fi
if [[ -n $ADK_PACKAGE_DANSGUARDIAN ]]; then
@@ -88,6 +86,22 @@ if [[ -n $ADK_PACKAGE_EGLIBC ]]; then
NEED_GPERF="$NEED_GPERF eglibc"
fi
+if [[ -n $ADK_PACKAGE_FONT_BITSTREAM_100DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-100dpi"
+fi
+
+if [[ -n $ADK_PACKAGE_FONT_BITSTREAM_75DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-75dpi"
+fi
+
+if [[ -n $ADK_PACKAGE_FONT_ADOBE_100DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-adobe-100dpi"
+fi
+
+if [[ -n $ADK_PACKAGE_FONT_ADOBE_75DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-adobe-75dpi"
+fi
+
if [[ -n $NEED_GETTEXT ]]; then
if ! which xgettext >/dev/null 2>&1; then
echo >&2 You need gettext to build $NEED_GETTEXT
@@ -116,6 +130,13 @@ if [[ -n $NEED_SSLDEV ]]; then
fi
fi
+if [[ -n $NEED_MKFONTDIR ]]; then
+ if ! which mkfontdir >/dev/null 2>&1; then
+ echo >&2 You need mkfontdir to build $NEED_MKFONTDIR
+ out=1
+ fi
+fi
+
if [[ -n $NEED_INTL ]]; then
if ! which intltool-update >/dev/null 2>&1; then
echo >&2 You need intltool-update to build $NEED_INTL
diff --git a/scripts/tarpkg b/scripts/tarpkg
index f2e5def9e..bbb242a5e 100755
--- a/scripts/tarpkg
+++ b/scripts/tarpkg
@@ -29,6 +29,7 @@ elif [ "$1" = "install" ];then
IPKG_INSTROOT="$PKG_INSTROOT" ${PKG_INSTROOT}/usr/lib/pkg/${pkg}.postinst
rm ${PKG_INSTROOT}/usr/lib/pkg/${pkg}.postinst
fi
+ rm -rf ${PKG_INSTROOT}/usr/lib/pkg
else
echo "unknown command"
exit 1